# CLI_NETWORK_OPTS | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- CLI_NETWORK_OPTS

## Index

### Properties

- altAPIUrl
- altTransactionBroadcasterUrl
- consensusHash
- feeRate
- gracePeriod
- namespaceBurnAddress
- nodeAPIUrl
- priceToPay
- priceUnits
- receiveFeesPeriod

## Properties

### altAPIUrl

altAPIUrl: string | null

- Defined in packages/cli/src/network.ts:20

### altTransactionBroadcasterUrl

altTransactionBroadcasterUrl: string | null

- Defined in packages/cli/src/network.ts:21

### consensusHash

consensusHash: string | null

- Defined in packages/cli/src/network.ts:13

### feeRate

feeRate: number | null

- Defined in packages/cli/src/network.ts:14

### gracePeriod

gracePeriod: number | null

- Defined in packages/cli/src/network.ts:19

### namespaceBurnAddress

namespaceBurnAddress: string | null

- Defined in packages/cli/src/network.ts:15

### nodeAPIUrl

nodeAPIUrl: string | null

- Defined in packages/cli/src/network.ts:22

### priceToPay

priceToPay: string | null

- Defined in packages/cli/src/network.ts:16

### priceUnits

priceUnits: string | null

- Defined in packages/cli/src/network.ts:17

### receiveFeesPeriod

receiveFeesPeriod: number | null

- Defined in packages/cli/src/network.ts:18

Generated using TypeDoc